[DEFAULT]
skip-if = toolkit == 'android' # bug 1730213
head = head.js
firefox-appdir = browser
support-files =
  data/engine.xml

[test_000_frecency.js]
[test_about_urls.js]
[test_autofill_adaptiveHistory.js]
[test_autofill_bookmarked.js]
[test_autofill_do_not_trim.js]
[test_autofill_functional.js]
[test_autofill_origins.js]
[test_autofill_originsAndQueries.js]
[test_autofill_prefix_fallback.js]
[test_autofill_search_engines.js]
[test_autofill_search_engine_aliases.js]
[test_autofill_urls.js]
[test_avoid_middle_complete.js]
[test_avoid_stripping_to_empty_tokens.js]
[test_calculator.js]
[test_casing.js]
[test_dedupe_prefix.js]
[test_dedupe_switchTab.js]
[test_download_embed_bookmarks.js]
[test_empty_search.js]
[test_encoded_urls.js]
[test_escaping_badEscapedURI.js]
[test_escaping_escapeSelf.js]
[test_frecency.js]
[test_heuristic_cancel.js]
[test_hideSponsoredHistory.js]
[test_keywords.js]
skip-if = os == 'linux' # bug 1474616
[test_l10nCache.js]
[test_local_suggest_prefs.js]
[test_match_javascript.js]
[test_multi_word_search.js]
[test_muxer.js]
[test_protocol_ignore.js]
[test_protocol_swap.js]
[test_providerAliasEngines.js]
[test_providerHeuristicFallback.js]
[test_providerKeywords.js]
[test_providerOmnibox.js]
[test_providerOpenTabs.js]
[test_providerPlaces.js]
[test_providerPlaces_duplicate_entries.js]
[test_providerPlaces_nonEnglish.js]
[test_providerPreloaded.js]
[test_providersManager.js]
[test_providersManager_filtering.js]
[test_providersManager_maxResults.js]
[test_providerTabToSearch.js]
[test_providerTabToSearch_partialHost.js]
[test_query_url.js]
[test_queryScorer.js]
[test_remote_tabs.js]
skip-if = !sync
[test_resultGroups.js]
[test_search_engine_host.js]
[test_search_engine_restyle.js]
[test_search_suggestions.js]
[test_search_suggestions_aliases.js]
[test_search_suggestions_tail.js]
[test_special_search.js]
[test_suggestedIndex.js]
[test_suggestedIndexRelativeToGroup.js]
[test_tab_matches.js]
[test_tags_caseInsensitivity.js]
[test_tags_extendedUnicode.js]
[test_tags_general.js]
[test_tags_matchBookmarkTitles.js]
[test_tags_returnedInSearches.js]
[test_tokenizer.js]
[test_trimming.js]
[test_unitConversion.js]
[test_UrlbarController_integration.js]
[test_UrlbarController_telemetry.js]
[test_UrlbarController_unit.js]
[test_UrlbarPrefs.js]
[test_UrlbarQueryContext.js]
[test_UrlbarQueryContext_restrictSource.js]
[test_UrlbarSearchUtils.js]
[test_UrlbarUtils_addToUrlbarHistory.js]
[test_UrlbarUtils_getShortcutOrURIAndPostData.js]
[test_UrlbarUtils_getTokenMatches.js]
[test_UrlbarUtils_unEscapeURIForUI.js]
[test_word_boundary_search.js]
